﻿using System;
using kunukn.RecommendationEngine.AreaRecommendation.Code.Entities;
using kunukn.RecommendationEngine.AreaRecommendation.Code.Helpers;
using kunukn.RecommendationEngine.AreaRecommendation.Code.Web;

namespace kunukn.RecommendationEngine.AreaRecommendation.Controls
{
    /// <summary>
    /// Author: Kunuk Nykjaer
    /// </summary>
    public partial class MultipleItemsView : MyControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {            
            var items = SessionHelper.GetItem2Item().GetItems();
            foreach (Item item in items)
            {
                var thumbnail = this.LoadThumbnail(item, true);
                this.Panel1.Controls.Add(thumbnail);
            }
        }
    }
}