﻿using System;
using kunukn.RecommendationEngine.AreaRecommendation.Code.Engine;
using kunukn.RecommendationEngine.AreaRecommendation.Code.Helpers;

namespace kunukn.RecommendationEngine.AreaRecommendation.Code.Entities
{
    /// <summary>
    /// Author: Kunuk Nykjaer
    /// </summary>
    [Serializable]
    public class UserSession
    {        
        public string Id { get; set; } // unique user id        
        public string RecommendationMode { get; set; } // algoritm applied
        public bool ItemNotSeen { get; set; } // include item already seen to recommendation?
        public UserSession()
        {
            Id = Guid.NewGuid().ToString().Substring(0,SessionHelper.ApplicationIdlenth);            
            RecommendationMode = RecommendationAlgorithm.Cosine;
        }        
    }
}